---
title: The Web Developer Menu
slug: Tools/Accessing_the_Developer_Tools
tags:
  - Add-ons
  - Debugging
  - Tools
  - Web Developer
---
<div>{{ToolsSidebar}}</div><p>The Web Developer menu is the main way to access the developer tools that are built into Firefox. On OS X and Linux, it's under the "Tools" menu:</p>


<p><img alt="" src="https://mdn.mozillademos.org/files/5269/web-developer-tools-menu-osx.png"></p>

<p>On Windows 7, it's under the "Firefox" menu:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/5271/web-developer-tools-menu-windows-7.png" style="height: 595px; width: 506px;"></p>

<p>You'll see that the menu is split into three sections:</p>

<ul>
 <li>the first section lists tools that are hosted in the Toolbox, which is a dedicated window for developer tools</li>
 <li>the second section lists integrated tools that are not hosted in the Toolbox, as well as any tools installed as add-ons (you'll see in the Windows screenshot above that I've installed the Firefox OS Simulator)</li>
 <li>the third section, "Get More Tools", is a link to more web development add-ons for Firefox</li>
</ul>
